from telaBatalha import TelaBatalha
from tela_troca import Troca
from bag import Bag

def loop_batalha(player, mestre):

    roda = True
    batalha = TelaBatalha(player, mestre)
    jogo = batalha


    while roda:
        retorna = jogo.update()
        jogo.desenha()

        if retorna != None:
            if retorna == "batalha":
                jogo = batalha
            elif retorna[0] == "troca":
                jogo = Troca(player,retorna[1])
            if retorna[0] == 'bag':
                jogo = Bag(player, retorna[1])


            if retorna[0] in ['sair', 'derrota', 'vitoria', "gameover"] or retorna == 'sair':
                roda = False
            if retorna == 'vitoria':
                roda = False

    return retorna[0]
        